stages:
  - renovate

.renovate_template:
  stage: renovate
  image:
    name: renovate/renovate:latest
    entrypoint: [""]
  
dry-run:
  extends: .renovate_template
  only:
    refs:
      - main
  except:
    refs:
      - schedules
      - web
  script: renovate/renovate.sh --dry-run=full

renovate:
  extends: .renovate_template
  only:
    refs:
      - schedules
      - web
  script: renovate/renovate.sh
